Details
curl --request GET \
--url https://api.themoviedb.org/3/tv/{series_id}/season/{season_number}/episode/{episode_number} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/tv/{series_id}/season/{season_number}/episode/{episode_number}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/tv/{series_id}/season/{season_number}/episode/{episode_number}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.themoviedb.org/3/tv/{series_id}/season/{season_number}/episode/{episode_number}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.themoviedb.org/3/tv/{series_id}/season/{season_number}/episode/{episode_number}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.themoviedb.org/3/tv/{series_id}/season/{season_number}/episode/{episode_number}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.themoviedb.org/3/tv/{series_id}/season/{season_number}/episode/{episode_number}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"air_date": "1975-11-05",
"crew": [
{
"department": "Directing",
"job": "Director",
"credit_id": "5253853d19c29579402067a6",
"adult": false,
"gender": 0,
"id": 1218302,
"known_for_department": "Production",
"name": "Dennis Main Wilson",
"original_name": "Dennis Main Wilson",
"popularity": 0.52,
"profile_path": null
}
],
"episode_number": 1,
"guest_stars": [
{
"character": "",
"credit_id": "5253853b19c2957940206734",
"order": 500,
"adult": false,
"gender": 2,
"id": 30119,
"known_for_department": "Acting",
"name": "Alfie Bass",
"original_name": "Alfie Bass",
"popularity": 13.416,
"profile_path": "/1LnDvjwwtiQTrcaHGPDLsF9f3rq.jpg"
},
{
"character": "",
"credit_id": "5253853b19c2957940206776",
"order": 502,
"adult": false,
"gender": 1,
"id": 12658,
"known_for_department": "Acting",
"name": "Patricia Hayes",
"original_name": "Patricia Hayes",
"popularity": 13.884,
"profile_path": "/6XFwNMFX81TJOvY5k5V0rUANQL.jpg"
}
],
"name": "Moving in with Min",
"overview": "With it clear Else isn't returning, Alf considers sale of the house and moving in with Min and Reed next door.",
"id": 31095,
"production_code": "",
"runtime": 30,
"season_number": 7,
"still_path": null,
"vote_average": 0,
"vote_count": 0
}TV EPISODES
Details
This endpoint query the details of a TV episode.
GET
/
tv
/
{series_id}
/
season
/
{season_number}
/
episode
/
{episode_number}
Details
curl --request GET \
--url https://api.themoviedb.org/3/tv/{series_id}/season/{season_number}/episode/{episode_number} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/tv/{series_id}/season/{season_number}/episode/{episode_number}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/tv/{series_id}/season/{season_number}/episode/{episode_number}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.themoviedb.org/3/tv/{series_id}/season/{season_number}/episode/{episode_number}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.themoviedb.org/3/tv/{series_id}/season/{season_number}/episode/{episode_number}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.themoviedb.org/3/tv/{series_id}/season/{season_number}/episode/{episode_number}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.themoviedb.org/3/tv/{series_id}/season/{season_number}/episode/{episode_number}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"air_date": "1975-11-05",
"crew": [
{
"department": "Directing",
"job": "Director",
"credit_id": "5253853d19c29579402067a6",
"adult": false,
"gender": 0,
"id": 1218302,
"known_for_department": "Production",
"name": "Dennis Main Wilson",
"original_name": "Dennis Main Wilson",
"popularity": 0.52,
"profile_path": null
}
],
"episode_number": 1,
"guest_stars": [
{
"character": "",
"credit_id": "5253853b19c2957940206734",
"order": 500,
"adult": false,
"gender": 2,
"id": 30119,
"known_for_department": "Acting",
"name": "Alfie Bass",
"original_name": "Alfie Bass",
"popularity": 13.416,
"profile_path": "/1LnDvjwwtiQTrcaHGPDLsF9f3rq.jpg"
},
{
"character": "",
"credit_id": "5253853b19c2957940206776",
"order": 502,
"adult": false,
"gender": 1,
"id": 12658,
"known_for_department": "Acting",
"name": "Patricia Hayes",
"original_name": "Patricia Hayes",
"popularity": 13.884,
"profile_path": "/6XFwNMFX81TJOvY5k5V0rUANQL.jpg"
}
],
"name": "Moving in with Min",
"overview": "With it clear Else isn't returning, Alf considers sale of the house and moving in with Min and Reed next door.",
"id": 31095,
"production_code": "",
"runtime": 30,
"season_number": 7,
"still_path": null,
"vote_average": 0,
"vote_count": 0
}Authorizations
Path Parameters
Query Parameters
Response
200 - application/json
Successful